# H4501_PartySubaddress Class Reference

`#include <h4501.h>`

List of all members.

## Public Types

enum | Choices { e_userSpecifiedSubaddress, e_nsapSubaddress }

## Public Member Functions

| H4501_PartySubaddress (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H4501_UserSpecifiedSubaddress & ()
| operator const H4501_UserSpecifiedSubaddress & () const
| operator H4501_NSAPSubaddress & ()
| operator const H4501_NSAPSubaddress & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H4501_PartySubaddress::Choices

Enumerator:

  e_userSpecifiedSubaddress |
  e_nsapSubaddress |

## Constructor & Destructor Documentation

H4501_PartySubaddress::H4501_PartySubaddress | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4501_PartySubaddress::operator H4501_UserSpecifiedSubaddress & | ( |  | ) |

H4501_PartySubaddress::operator const H4501_UserSpecifiedSubaddress & | ( |  | ) | const

H4501_PartySubaddress::operator H4501_NSAPSubaddress & | ( |  | ) |

H4501_PartySubaddress::operator const H4501_NSAPSubaddress & | ( |  | ) | const

PBoolean H4501_PartySubaddress::CreateObject | ( |  | ) |

PObject* H4501_PartySubaddress::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4501.h